# paper-2024-pde-greedy

Adaptive meshfree approximation for linear elliptic partial differential equations with PDE-greedy kernel methods
=========================================================================================

This repository contains the supplementary material for the publication
```
Adaptive meshfree approximation for linear elliptic partial differential equations with PDE-greedy kernel methods (2022)
T. Wenzel, D. Winkle, G. Santin, B. Haasdonk
```

It was used to carry out the numerical experiments and generate the figures for the publication.
The experiments were performed on Linux systems in 2024 and should work with Python versions of that time (e.g., `python3.9`).


## Installation

To run the python experiments, create a virtual environment and install the [PDE-VKOGA](https://gitlab.mathematik.uni-stuttgart.de/pub/ians-anm/pde-vkoga) package.
For convenience, this steps can be done with help of the `setup_python_experiments.sh` file.
To activate the virtual environment, use `source venv/bin/activate`.
In order to reproduce the experiments, run the files within the folder  experiments_pde_vkoga.


To runt he matlab experiments (i.e. to reproduce the FEM part of the convergence table within Section 6.1), please
a) Install RBmatlab from the website www.morepas.org/software. The code can be run if RBmatlab from version 16.09 is installed.
b) run the script fem_sector_example.m from this directory

Caution:

The FEM calculation is very expensive (takes several hours) as hundred of
thousands of point with global coordinates need to be searched and found
in FEM meshes. This is required to be consistent in the error computation
to other approximation techniques using these uniform test grids.



## How to cite:
If you use this code in your work, please cite the paper

> T. Wenzel, D. Winkle, G. Santin, and B. Haasdonk. Adaptive meshfree solution
of linear partial differential equations with PDE-greedy kernel methods. ArXiv,
(2207.13971), 2022. Submitted.


```bibtex:
@article{wenzel2022adaptive,
  doi = {10.48550/ARXIV.2207.13971},
  url = {https://arxiv.org/abs/2207.13971},
  author = {Wenzel, Tizian and Winkle, Daniel and Santin, Gabriele and Haasdonk, Bernard},
  title = {Adaptive meshfree solution of linear partial differential equations with {PDE}-greedy kernel methods},
  number = {2207.13971}, 
  publisher = {arXiv},
  year = {2022},
  journal={ArXiv},
  type={ArXiv},
  note={Submitted}
}
}
```


